
clear all; clf;

deg=10;
aa=0; bb=0;

% POINT SET.
pts_leb=set_disk_leb(deg); 
pts_fek=set_disk_fek(deg); 
jac_pts=gauss_jacobi(deg-1,aa,bb,1)

theta=0:0.01:2*pi; bx=cos(theta'); by=sin(theta');

hold on;
plot(bx,by,'k-',pts_leb(:,1),pts_leb(:,2),'ro',...
    pts_fek(:,1),pts_fek(:,2),'b+');

ii=6:11;
jpp=abs(jac_pts(ii));

for index=1:length(jpp)
   pts_ring=jpp(index)*[bx by];
   plot(pts_ring(:,1),pts_ring(:,2),'g-'); 
end

axis square;
axis off;

hold off;

