
clear all;


diary('diary_table.m');
diary on;

EXAMPLE=0;
SUBDATA_VETT=2:4;

fprintf('\n \t <CENTER>');
fprintf('\n \t <TABLE BORDER=0>');
fprintf('\n \t <TR>');

for kk=1:length(SUBDATA_VETT)
    SUBDATA=SUBDATA_VETT(kk);
    fprintf('\n \t <TD>');

    switch EXAMPLE
        
            case 0 % COMPARISON.
            [pts1,stats_matrix1]=set_disk_leb(4);
            [pts2,stats_matrix2]=set_disk_fek(4);
            
            deg=1:16;
            
            mat_strings=['DEGLEBFEK'];
            stats1=stats_matrix1(deg,:);
            stats2=stats_matrix2(deg,:);
            
            mat_data=[stats1(:,1) stats1(:,SUBDATA) stats2(:,SUBDATA)];


    end

    switch SUBDATA
        case 2
            mat_title='LEBESGUE CONST.';
        case 3
            mat_title='VANDERMONDE DET.';
        case 4
            mat_title='CONDITIONING';
        otherwise
            mat_title='';
    end

    res=make_table(mat_data,mat_strings,mat_title);

    fprintf('\n \t </TD>');
end


fprintf('\n \t </TR>');
fprintf('\n \t </TABLE>');
fprintf('\n \t </CENTER>');

diary off;
